Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# StyledRegion Class Reference
[Handlers]

Inheritance diagram for StyledRegion:

## Detailed Description

Contains information about region mapping into real colors.

These mappings are stored in HRD files and processed by StyledHRDMapper class.

## Public Methods
| StyledRegion (bool _bfore, bool _bback, unsigned int _fore, unsigned int _back, unsigned int _style)
| Common constructor.
| StyledRegion ()
| Empty constructor.
| StyledRegion (const StyledRegion &rd)
| Copy constructor.
void | assignParent (const RegionDefine *_parent)
| Completes region define with it's parent values.
void | setValues (const RegionDefine *_rd)
RegionDefine * | clone () const
## Static Public Methods
const StyledRegion * | cast (const RegionDefine *rd)
| Static method, used to cast RegionDefine class into StyledRegion class.
## Data Fields
bool | bfore
| Is foreground value assigned?
bool | bback
| Is background value assigned?
unsigned int | fore
| Foreground color of region.
unsigned int | back
| Background color of region.
unsigned int | style
| Bit mask of region's style (bold, italic, underline).
## Static Public Attributes
const int | RD_BOLD = 1
const int | RD_ITALIC = 2
const int | RD_UNDERLINE = 4
const int | RD_STRIKEOUT = 8

## Constructor & Destructor Documentation

StyledRegion::StyledRegion | ( | const StyledRegion & | rd | ) | `[inline]`

| Copy constructor. Clones all values including region reference.

## Member Function Documentation

const StyledRegion* StyledRegion::cast | ( | const RegionDefine * | rd | ) | `[inline, static]`

  | Static method, used to cast RegionDefine class into StyledRegion class. Exceptions:
  Exception | If casing is not available.

void StyledRegion::assignParent | ( | const RegionDefine * | _parent | ) | `[inline, virtual]`

| Completes region define with it's parent values. The values only replaced, are these, which are empty in this region define. Style is replaced using OR operation. Implements RegionDefine.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.